import { NavigationAction } from '@dvn/core/models/actions';
import { KimlikApi } from '../../api/kimlik-api';
declare type TabTypes = 'users' | 'api-keys' | 'saml-configs';
export declare class KimlikHome {
  selectedTab: TabTypes;
  showDeleteConfirmation: boolean;
  showItemForm: boolean;
  selectedItem: any;
  listKey: number;
  deleteErrorMessage: string;
  isDeletePending: boolean;
  apiEndpoint: string;
  apiHeaders: any;
  apiKimlik: KimlikApi;
  componentWillLoad(): void;
  onAction(event: CustomEvent<NavigationAction>): void;
  onClickAddNewItem: () => boolean;
  onConfirmDeleteItem: () => void;
  onDeleteFail: (_error: any) => void;
  dismissItemFormDialog: () => void;
  dismissDeleteConfirmationDialog: () => void;
  invalidate: () => void;
  render(): any;
}
export {};
